Public Member Functions | Public Attributes | Friends | List of all members
MsWks4TextInternal::Ftnt Struct Reference

Internal: class to store footnote definition. More...

## Public Member Functions
| Ftnt ()
| constructor More...

## Public Attributes
int | m_type
| the note type More...
int | m_id
| the footnote number More...
long | m_begin
| the first offset in the text More...
long | m_end
| the last offset in the text More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< More...

## Detailed Description

Internal: class to store footnote definition.

## Constructor & Destructor Documentation

## ◆ Ftnt()

MsWks4TextInternal::Ftnt::Ftnt | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Ftnt const & | ftnt
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_begin

long MsWks4TextInternal::Ftnt::m_begin

the first offset in the text

Referenced by MsWks4Text::ftntDataParser(), MsWks4TextInternal::operator<<(), and MsWks4Text::readFootNote().

## ◆ m_end

long MsWks4TextInternal::Ftnt::m_end

the last offset in the text

Referenced by MsWks4Text::ftntDataParser(), MsWks4TextInternal::operator<<(), and MsWks4Text::readFootNote().

## ◆ m_error

std::string MsWks4TextInternal::Ftnt::m_error

a string used to store the parsing errors

Referenced by MsWks4Text::ftntDataParser(), and MsWks4TextInternal::operator<<().

## ◆ m_id

int MsWks4TextInternal::Ftnt::m_id

the footnote number

Referenced by MsWks4Text::ftntDataParser(), and MsWks4TextInternal::operator<<().

## ◆ m_type

int MsWks4TextInternal::Ftnt::m_type

the note type

Checkme: can we find other values than 1 ?

Referenced by MsWks4Text::ftntDataParser(), and MsWks4TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx